jQuery(document).ready(function() {
	
	function addCommas(nStr)
	{
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + '.' + '$2');
		}
		return x1 + x2;
	}
	
    jQuery( "#age_slider" ).slider({
      range: "max",
      min: 18,
      max: 60,
      value: 30,
      slide: function( event, ui ) {
        jQuery( "#age_value" ).val( addCommas(ui.value) );
		change_costs_glasses();
      }
    });
    jQuery( "#age_value" ).val( jQuery( "#age_slider" ).slider( "value" ) );
	
	jQuery( "#glass_slider" ).slider({
      range: "max",
      min: 0,
      max: 1000,
	  step: 10,
      value: 200,
      slide: function( event, ui ) {
        jQuery( "#glass_value" ).val( ui.value );
		change_costs_glasses();
      }
    });
    jQuery( "#glass_value" ).val( jQuery( "#glass_slider" ).slider( "value" ) );
	
	jQuery( "#lens_slider" ).slider({
      range: "max",
      min: 0,
      max: 500,
	  step: 10,
      value: 150,
      slide: function( event, ui ) {
        jQuery( "#lens_value" ).val( ui.value );
		change_costs_glasses();
      }
    });
    jQuery( "#lens_value" ).val( jQuery( "#lens_slider" ).slider( "value" ) );
	
	function change_costs_glasses() {
		var age 	= jQuery('#age_value').val();
		var glass 	= jQuery('#glass_value').val();
		var lens	= jQuery('#lens_value').val();
		
		costs = ((60-age)*glass)+((60-age)*lens);
		
		costscomma = costs + "";
		costscomma = addCommas(costscomma);
		jQuery('#costs_glasses').html(costscomma);
		
		/* HERE YOU CAN CHANGE THE COSTS FOR LASER EYE TREATMENTS */
		lasercosts = 1650;
		
		savings = costs-lasercosts;
		if(savings < 0) {
			savings = 0;
		}
		savingscomma = savings + "";
		savingscomma = addCommas(savingscomma);
		jQuery('#savings').html(savingscomma);
		
	}
	
	change_costs_glasses();

});